﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using Telerik.Web.UI;

public partial class RadGridBetweenDivs : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

	protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
	{
		DataTable dt = new DataTable();
		DataRow dr;
		int rowsNum = 130;
		string[][] colsInfo = {
		new string[] { "ProdPlanDocHeaderId", "number" },
		new string[] { "MrkDocHeaderId", "number" },
		new string[] { "ProdPlanStatus", "string" },
		new string[] { "UretimMuhendisi", "string" },
		new string[] { "Custom4", "string" },
		new string[] { "Custom5", "string" },
        new string[] { "Custom6", "string" },
        new string[] { "Custom7", "string" },
        new string[] { "Custom8", "string" },
        new string[] { "Custom9", "string" }
	};

		for (int i = 0; i < colsInfo.Length; i++)
		{
			switch (colsInfo[i][1])
			{
				case "string":
					dt.Columns.Add(new DataColumn(colsInfo[i][0], typeof(String)));
					break;
				case "number":
					dt.Columns.Add(new DataColumn(colsInfo[i][0], typeof(Int32)));
					break;
				case "date":
					dt.Columns.Add(new DataColumn(colsInfo[i][0], typeof(DateTime)));
					break;
				case "bool":
					dt.Columns.Add(new DataColumn(colsInfo[i][0], typeof(Boolean)));
					break;
				default:
					break;
			}
		}

		for (int j = 0; j <= rowsNum; j++)
		{
			dr = dt.NewRow();

			for (int k = 0; k < colsInfo.Length; k++)
			{
				switch (colsInfo[k][1])
				{
					case "string":
						dr[colsInfo[k][0]] = String.Format("{0} Row{1}", colsInfo[k][0], j);
						break;
					case "number":
						dr[colsInfo[k][0]] = j;
						break;
					case "date":
						dr[colsInfo[k][0]] = DateTime.Now;
						break;
					case "bool":
						dr[colsInfo[k][0]] = j % 2 == 1 ? true : false;
						break;
					default:
						break;
				}
			}
			dt.Rows.Add(dr);
		}
		(sender as RadGrid).DataSource = dt;
	}
}