﻿<%@ Page Title="Home Page" Language="C#" AutoEventWireup="true" CodeFile="RadGridInRadSplitter.aspx.cs"
	Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE HTML>

<html>
<head>
	<title>Grid in Splitter</title>
	<style>
		html,
		body,
		form {
			height: 100%;
			margin: 0px;
			padding: 0px;
		}
	</style>
</head>

<body>
	<form id="Form1" runat="server">
		<telerik:RadScriptManager runat="server"></telerik:RadScriptManager>

		<telerik:RadAjaxManager runat="server" ID="RadAjaxManager1">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="RadGrid1">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl UpdatePanelHeight="100%" ControlID="RadGrid1" />
					</UpdatedControls>
				</telerik:AjaxSetting>
				<telerik:AjaxSetting AjaxControlID="RadTreeView1">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="RadGrid1" />
						<telerik:AjaxUpdatedControl UpdatePanelHeight="100%" ControlID="RadTreeView1" />
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>

		<telerik:RadSplitter ID="RadSplitter1" runat="server" Height="100%" Orientation="Horizontal" Width="100%">
			<telerik:RadPane ID="contentPane" Height="80%" runat="server" Scrolling="none">
				<telerik:RadSplitter ID="RadSplitter2" runat="server" Orientation="Vertical">
					<telerik:RadPane ID="topPane" Scrolling="None" runat="server">
						<%-- >>TreeView--%>
							<telerik:RadTreeView ID="RadTreeView1" runat="server" Height="100%"
								DataFieldID="EmployeeID" DataFieldParentID="ReportsTo" DataValueField="EmployeeID"
								DataTextField="LastName"
								DataSourceID="SqlDataSource1">
								<DataBindings>
									<telerik:RadTreeNodeBinding Expanded="true"></telerik:RadTreeNodeBinding>
								</DataBindings>
								<NodeTemplate>
									<img src='IMG/<%#Eval("EmployeeID")%>.jpg' height="80" width="60" alt="Alternate Text" /> <br />
									<%#Eval("FirstName") %>
									<%#Eval("LastName") %>,
									<br />
									<%#Eval("Title") %>
								</NodeTemplate>
							</telerik:RadTreeView>
						<%-- <<TreeView--%>
					</telerik:RadPane>
					<telerik:RadSplitBar ID="RadSplitbar2" runat="server" CollapseMode="Forward">
					</telerik:RadSplitBar>
					<telerik:RadPane ID="bottomPane" Scrolling="None" Height="100%" runat="server">
						<%-- >>RADGRID--%>
						<telerik:RadGrid ID="RadGrid1" Height="100%" runat="server" OnNeedDataSource="RadGrid1_NeedDataSource"
							AllowSorting="true">
							<MasterTableView Width="100%" TableLayout="Fixed" AutoGenerateColumns="false">
								<Columns>
									<telerik:GridBoundColumn DataField="EmployeeID" HeaderText="EmployeeID"></telerik:GridBoundColumn>
									<telerik:GridBoundColumn DataField="LastName" HeaderText="LastName"></telerik:GridBoundColumn>
									<telerik:GridBoundColumn DataField="FirstName" HeaderText="FirstName"></telerik:GridBoundColumn>
									<telerik:GridBoundColumn DataField="Title" HeaderText="Title"></telerik:GridBoundColumn>
									<telerik:GridBoundColumn DataField="ReportsTo" HeaderText="ReportsTo"></telerik:GridBoundColumn>
								</Columns>
							</MasterTableView>
							<ClientSettings>
								<Scrolling AllowScroll="true" UseStaticHeaders="true" />
							</ClientSettings>
						</telerik:RadGrid>
						<%-- <<RADGRID--%>
					</telerik:RadPane>
				</telerik:RadSplitter>
			</telerik:RadPane>
		</telerik:RadSplitter>
		<asp:SqlDataSource runat="server" ID="SqlDataSource1" ConnectionString='<%$ ConnectionStrings:ConnectionString %>' SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], [Title], [ReportsTo] FROM [Employees]"></asp:SqlDataSource>
	</form>
</body>
</html>
