﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridInRadTabStrip.aspx.cs" Inherits="RadGridInTabStrip" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>RadGrid in RadTabStrip</title>
	<style>
		
		html,
		body,
		form {
			height: 100%;
			padding: 0;
			margin: 0;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server" ID="rsm1"></telerik:RadScriptManager>
		<telerik:RadTabStrip runat="server" ID="RadTabStrip" MultiPageID="RadMultiPage1" SelectedIndex="0" >
			<Tabs>
				<telerik:RadTab Text="tab1" Selected="true"></telerik:RadTab>
				<telerik:RadTab Text="tab3"></telerik:RadTab>
			</Tabs>
		</telerik:RadTabStrip>
		<telerik:RadMultiPage runat="server" ID="RadMultiPage1" >
			<telerik:RadPageView runat="server" Height="700px" ID="RadPageView1" Selected="true" CssClass="PageView1">
				Switch to the next tab and see how the grid is expanded and takes all the available space in the page view >>>
			</telerik:RadPageView>
			<telerik:RadPageView runat="server" Height="700px" ID="RadPageView2" CssClass="PageView2">
				<telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="true" PageSize="50" Height="100%"
					AllowSorting="true" OnNeedDataSource="RadGrid1_NeedDataSource">
					<MasterTableView TableLayout="Fixed" Width="100%">
					</MasterTableView>
					<ClientSettings>
						<Scrolling AllowScroll="true" UseStaticHeaders="true" />
					</ClientSettings>
				</telerik:RadGrid>
			</telerik:RadPageView>
		</telerik:RadMultiPage>
	</form>
</body>
</html>
