﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridWithRadAjaxManager.aspx.cs" Inherits="RadGridWithRadAjaxManager" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	
	<title>RadGrid with Ajax manager</title>
	<style>
		html, 
		body, 
		form{
			height: 100%;
			margin: 0px;
			padding: 0px;
		}

		div.RadGrid {
			border: 0 none;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server" ID="rsm1"></telerik:RadScriptManager>

		<telerik:RadAjaxManager runat="server" ID="RadAjaxManager1">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="RadGrid1">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="RadGrid1" UpdatePanelHeight="100%" />
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>

		<telerik:RadGrid ID="RadGrid1" Height="100%" runat="server" AllowPaging="true" PageSize="50"
			AllowSorting="true" OnNeedDataSource="RadGrid1_NeedDataSource">
			<MasterTableView TableLayout="Fixed" Width="100%">
			</MasterTableView>
			<ClientSettings>
				<Scrolling AllowScroll="true" UseStaticHeaders="true" />
			</ClientSettings>
		</telerik:RadGrid>
	</form>
</body>
</html>
