﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridWithRadAjaxPanel.aspx.cs" Inherits="GridWithAjax" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Grid with Ajax</title>
	<style>
		html, 
		body, 
		form{
			height: 100%;
			margin: 0px;
			padding: 0px;
		}

		div.RadGrid {
			border: 0 none;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server" ID="rsm1"></telerik:RadScriptManager>
		<telerik:RadAjaxPanel runat="server" ID="RadAjaxPanel1" Height="100%">
			<telerik:RadGrid ID="RadGrid1" Height="100%" runat="server"
				AllowSorting="true" OnNeedDataSource="RadGrid1_NeedDataSource">
				<MasterTableView Width="100%" TableLayout="Fixed">
				</MasterTableView>
				<ClientSettings>
					<Scrolling AllowScroll="true" UseStaticHeaders="true" />
				</ClientSettings>
			</telerik:RadGrid>
		</telerik:RadAjaxPanel>
	</form>
</body>
</html>
